# ACE_RMCast::SN Struct Reference

`#include <Protocol.h>`

Inheritance diagram for ACE_RMCast::SN:

[legend]
Collaboration diagram for ACE_RMCast::SN:

[legend]
List of all members.

## Public Member Functions

| n_ (n)
SN_ptr | clone ()
u64 | num () const
virtual void | serialize_body (ostream &os) const
virtual void | serialize_body (sstream &ss) const

## Public Attributes

| __pad0__: Profile (h) { is >> n_
| __pad1__: Profile (id)

## Static Public Attributes

u16 const | id = 0x0004

## Protected Member Functions

virtual Profile_ptr | clone_ ()
| n_ (sn.n_)

## Protected Attributes

| __pad2__: Profile (sn)

## Private Attributes

u64 | n_

## Member Function Documentation

SN_ptr ACE_RMCast::SN::clone | ( |  | ) | `[inline]`

| Reimplemented from ACE_RMCast::Profile.

virtual Profile_ptr ACE_RMCast::SN::clone_ | ( |  | ) | `[inline, protected, virtual]`

| Implements ACE_RMCast::Profile.

ACE_RMCast::SN::n_ | ( | sn. | n_ | ) | `[inline, protected]`

ACE_RMCast::SN::n_ | ( | n |  | ) | `[inline]`

u64 ACE_RMCast::SN::num | ( |  | ) | const`[inline]`

virtual void ACE_RMCast::SN::serialize_body | ( | sstream & | ss | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

virtual void ACE_RMCast::SN::serialize_body | ( | ostream & | os | ) | const`[inline, virtual]`

| Implements ACE_RMCast::Profile.

## Member Data Documentation

ACE_RMCast::SN::__pad0__

ACE_RMCast::SN::__pad1__

ACE_RMCast::SN::__pad2__`[protected]`

u16 const ACE_RMCast::SN::id = 0x0004`[static]`

u64 ACE_RMCast::SN::n_`[private]`

The documentation for this struct was generated from the following files:

- Protocol.h
- Protocol.cpp